/*
 * Copyright (C) 2011 eXo Platform SAS.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.gatein.portal.controller.resource.script;

import java.util.LinkedHashSet;


/**
 * @author <a href="mailto:julien.viet@exoplatform.com">Julien Viet</a>
 */
class ScriptFetch {

    /** . */
    final ScriptResource resource;

    /** . */
    FetchMode mode;

    /** . */
    final LinkedHashSet<ScriptFetch> dependencies;

    /** . */
    final LinkedHashSet<ScriptFetch> dependsOnMe;

    ScriptFetch(ScriptResource resource, FetchMode mode) {
        this.resource = resource;
        this.mode = mode;
        this.dependencies = new LinkedHashSet<ScriptFetch>();
        this.dependsOnMe = new LinkedHashSet<ScriptFetch>();
    }

    void upgrade(FetchMode mode) {
        this.mode = mode;

        //
        for (ScriptFetch dependency : dependencies) {
            dependency.upgrade(mode);
        }
    }
}
